Commit extraction guidance onto the project
POST
/api/v1/projects/{projectId}/extraction-guidance/commit
const url = 'https://api.yggy.tech/api/v1/projects/example/extraction-guidance/commit';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"purpose":"example","include":["example"],"skip":["example"],"expectedGuidanceRevision":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.yggy.tech/api/v1/projects/example/extraction-guidance/commit \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "purpose": "example", "include": [ "example" ], "skip": [ "example" ], "expectedGuidanceRevision": 1 }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” projectId
required
string
Request Body
Section titled “Request Body ” Media type application/json
object
purpose
required
string | null
include
required
Array<string>
skip
required
Array<string>
expectedGuidanceRevision
required
integer
Example generated
{ "purpose": "example", "include": [ "example" ], "skip": [ "example" ], "expectedGuidanceRevision": 1}Responses
Section titled “ Responses ”Updated project
Media type application/json
object
success
required
boolean
project
required
object
id
required
string
slug
required
string
name
required
string
color
required
string
organizationId
required
string
externalId
string | null
kind
string
extractionPurpose
string | null
extractionInclude
Array<string>
extractionSkip
Array<string>
extractionGuidanceRevision
integer
entityMergeMode
string
createdAt
string
updatedAt
string
Example
{ "project": { "kind": "shared", "entityMergeMode": "auto" }}Unauthorized
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Project not found
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Extraction guidance changed
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}